import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'clx_flutter_widget_platform_interface.dart';

/// An implementation of [ClxFlutterWidgetPlatform] that uses method channels.
class MethodChannelClxFlutterWidget extends ClxFlutterWidgetPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('clx_flutter_widget');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
