import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'clx_flutter_widget_method_channel.dart';

abstract class ClxFlutterWidgetPlatform extends PlatformInterface {
  /// Constructs a ClxFlutterWidgetPlatform.
  ClxFlutterWidgetPlatform() : super(token: _token);

  static final Object _token = Object();

  static ClxFlutterWidgetPlatform _instance = MethodChannelClxFlutterWidget();

  /// The default instance of [ClxFlutterWidgetPlatform] to use.
  ///
  /// Defaults to [MethodChannelClxFlutterWidget].
  static ClxFlutterWidgetPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [ClxFlutterWidgetPlatform] when
  /// they register themselves.
  static set instance(ClxFlutterWidgetPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
