import 'package:flutter_test/flutter_test.dart';
import 'package:clx_flutter_widget/clx_flutter_widget.dart';
import 'package:clx_flutter_widget/clx_flutter_widget_platform_interface.dart';
import 'package:clx_flutter_widget/clx_flutter_widget_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockClxFlutterWidgetPlatform
    with MockPlatformInterfaceMixin
    implements ClxFlutterWidgetPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final ClxFlutterWidgetPlatform initialPlatform = ClxFlutterWidgetPlatform.instance;

  test('$MethodChannelClxFlutterWidget is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelClxFlutterWidget>());
  });

  test('getPlatformVersion', () async {
    ClxFlutterWidget clxFlutterWidgetPlugin = ClxFlutterWidget();
    MockClxFlutterWidgetPlatform fakePlatform = MockClxFlutterWidgetPlatform();
    ClxFlutterWidgetPlatform.instance = fakePlatform;

    expect(await clxFlutterWidgetPlugin.getPlatformVersion(), '42');
  });
}
